import {
  csv,
  select,
  json,
  geoPath,
  geoAlbersUsa,
  zoom,
  event
} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const projection = geoAlbersUsa();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

svg.call(zoom().on('zoom', ()=>{
  g.attr('transform', event.transform)
}));
var aa = [-122.490402, 37.786453];
var bb = [-77.389809, 37.786453];
json('https://gist.githubusercontent.com/mbostock/4090846/raw/d534aba169207548a8a3d670c9c2cc719ff05c47/us.json')
  .then(data => {
    const states = feature(data, data.objects.states);
    console.log(states)
    g.selectAll('path')
      .data(states.features)
      .enter().append('path')
  		.attr('class', 'states')
        .attr('d', pathGenerator)
  	  .append('title')
  		.text(d => d);
  
    g.selectAll("circle")
		.data([aa,bb]).enter()
		.append("circle")
		.attr("cx", function (d) { return projection(d)[0]; })
		.attr("cy", function (d) { return projection(d)[1]; })
		.attr("r", "5px")
		.attr("fill", "blue")
  
  
  
  
  });

csv('https://vizhub.com/NTCHANG1289/datasets/FastFoodRestaurants_New.csv')
  .then(data => {
	
  });